import { AutoMap } from '@automapper/classes';
import { IsInt, IsOptional } from 'class-validator';
import { AddressDTO } from './address.dto';

export class WaypointDTO extends AddressDTO {
  @IsOptional()
  @IsInt()
  @AutoMap()
  position?: number;
}
